Skip to main content
PUT
Update Exam

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Unique SID of the application install. Pattern: AI + 32 hex chars.

Pattern: ^AI[a-f0-9]{32}$
Example:

"AI1234567890abcdef1234567890abcdef"

courseSid
string
required

Unique SID of the course. Pattern: CU + 32 hex chars.

Pattern: ^CU[a-f0-9]{32}$
Example:

"CU1234567890abcdef1234567890abcdef"

examSid
string
required

Unique SID of the exam to update. Pattern: EX + 32 hex chars.

Pattern: ^EX[a-f0-9]{32}$
Example:

"EX1234567890abcdef1234567890abcdef"

Body

application/json

Payload for updating an exam with full configuration.

title
string
required

Title C

type
enum<string>
required

Type C

Available options:
Online,
Written
useProctorManager
boolean
required

Use Proctor Manager C

requireApproval
boolean
required

Require Approval C

url
string
required

Exam URL

enableAppointmentSuggestions
boolean
required

Enable Appointment Suggestions C

configuration
object
required
description
string | null

Description C

examDeliverySystemModule
string | null

Exam Delivery System Module. Optional field controlled by feature flag.

contactUserSid
string | null

Contact User Sid

Pattern: ^US[a-f0-9]{32}$
isLimitedScope
boolean
default:false

Boolean to assign exam to all or a few students

status
enum<string>

Status of the exam. active exams are visible, draft are in preparation, deleted are soft-deleted.

Available options:
active,
draft,
deleted
Example:

"active"

Response

200 - application/json

Successful

sessionStatus
string | null

Session status

sid
string | null

Exam SID

courseSid
string | null

Course SID

applicationInstallSid
string | null

Application install SID

title
string | null

Exam title

bVirtualTitle
string | null

Virtual title

type
string | null

Exam type

description
string | null

Description

useProctorManager
boolean | null

Use proctor manager

requireApproval
boolean | null

Require approval

enableAppointmentSuggestions
boolean | null

Enable appointment suggestions

url
string | null

Exam URL

status
string | null

Exam status

createdDate
string | null

Created date

editDate
string | null

Last modified date

contactUserSid
string | null

Contact user SID

examDeliverySystemModule
string | null

Exam delivery system module

summary
string | null

Exam summary

pendingApprovals
number | null

Pending approvals count

openSessionEvents
number | null

Open session events count

course
string | null

Course details

configuration
string | null

Exam configuration

examSession
string | null

Exam session

instructorName
string | null

Instructor name

courseName
string | null

Course name

totalSessions
number | null

Total sessions

needsProctorSessions
number | null

Sessions needing proctor

scriptName
string | null

Script name

systemName
string | null

System name

isLimitedScope
boolean | null

Is limited scope

platformVersion
string | null

Platform version